/*  Cookie - NEWS
    
    Copyright 2009 Palm, Inc.  All rights reserved.
    
    Handler for cookieData, a stored version of News preferences.
    Will load or create cookieData, migrate preferences and update cookieData
    when called.
        
    Functions:
    initialize - loads or creates newsCookie; updates preferences withcontents 
        of stored cookieData and migrates any preferences due version changes
    store - updates stored cookieData with current global preferences
*/  

News.Cookie = ({
        
  initialize: function()  {
    // Update globals with preferences or create it.
    this.cookieData = new Mojo.Model.Cookie("comPalmAppNewsPrefs");
    var oldNewsPrefs = this.cookieData.get();
    if (oldNewsPrefs) {
      // If current version, just update globals & prefs
      if (oldNewsPrefs.newsVersionString == News.versionString)    {
        News.featureFeedEnable = oldNewsPrefs.featureFeedEnable;
        News.featureStoryInterval = oldNewsPrefs.featureStoryInterval;
        News.feedUpdateInterval = oldNewsPrefs.feedUpdateInterval;
        News.versionString = oldNewsPrefs.newsVersionString;
        News.notificationEnable = oldNewsPrefs.notificationEnable;
        News.feedUpdateBackgroundEnable = oldNewsPrefs.feedUpdateBackgroundEnable;
      } else {
        // migrate old preferences here on updates of News app        
      }
    }
  
    this.storeCookie();
          
  },
      
  //  store - function to update stored cookie with global values
  storeCookie: function() {
    this.cookieData.put(    {
      featureFeedEnable: News.featureFeedEnable,                                                
      feedUpdateInterval: News.feedUpdateInterval,
      featureStoryInterval: News.featureStoryInterval,
      newsVersionString: News.versionString,
      notificationEnable: News.notificationEnable,
      feedUpdateBackgroundEnable: News.feedUpdateBackgroundEnable
    });
  }
  
});