/*  StageAssistant - NEWS
    
    Copyright 2009 Palm, Inc.  All rights reserved.
    
    Responsible for app startup.
    Major components:
    - setup; app startup including preferences and initial load
        of default feed data
    
    Data structures:
    - globals; set of persistant data used throughout app
    - Feeds Model; handles feedlist default data
        
    App architecture:
    - StageAssistant; handles startup and feed list management
    - StoryViewAssistant; handles single story navigation

*/  

//  ---------------------------------------------------------------
//    GLOBALS
//  ---------------------------------------------------------------

//  News namespace
News = {};

// Constants
News.unreadStory = "unReadStyle";                                    
News.versionString = "1.0";


function StageAssistant () {

}

//  -------------------------------------------------------
//  setup - all startup actions:
//    - Setup globals                  

StageAssistant.prototype.setup = function() {
    
    // initialize the feeds model and update the feeds
    this.feeds = new Feeds();
    
    // Push the first scene
    this.controller.pushScene("storyView", this.feeds.list[0], 0);
    
};
