/*  StoryListAssistant - NEWS
        
    Copyright 2009 Palm, Inc.  All rights reserved.
    
    Displays the feed's stories in a list, user taps display the
    selected story in the storyView scene. Major components:
    - Story View; push story scene when a story is tapped
    
    Arguments:
    - feedlist; Feeds.list array of all feeds
    - selectedFeedIndex; Feed to be displayed                
*/

function StoryListAssistant(feedlist, selectedFeedIndex) {
    this.feedlist = feedlist;
    this.feed = feedlist[selectedFeedIndex];
    this.feedIndex = selectedFeedIndex;
    Mojo.Log.info("StoryList entry = ", this.feedIndex);
    Mojo.Log.info("StoryList feed = " + Object.toJSON(this.feed));
}
    

StoryListAssistant.prototype.setup =  function() {    

// Setup story list with standard news list templates.
    this.controller.setupWidget("storyListWgt", 
        {
            itemTemplate: "storyList/storyRowTemplate",
            listTemplate: "storyList/storyListTemplate",
            swipeToDelete: false, 
            renderLimit: 40,
            reorderable: false
        },    
        this.storyModel = {
            items: this.feed.stories
        }
    );
    
    this.readStoryHandler = this.readStory.bindAsEventListener(this);
    this.controller.listen("storyListWgt", Mojo.Event.listTap,
        this.readStoryHandler);  
        
    //  Set title into header
    $("feedTitle").innerHTML=this.feed.title;  
};

StoryListAssistant.prototype.activate =  function() {

    
    // Update list models in case unReadCount has changed
    this.controller.modelChanged(this.storyModel);                    
};

StoryListAssistant.prototype.cleanup =  function() {
    // Remove event listeners
    this.controller.stopListening("storyListWgt", Mojo.Event.listTap,
        this.readStoryHandler);
};

// readStory - when user taps on displayed story, push storyView scene
StoryListAssistant.prototype.readStory = function(event) {
    Mojo.Log.info("Display selected story = ", event.item.title,
        "; Story index = ", event.index);
    Mojo.Controller.stageController.pushScene("storyView", this.feed, event.index);
};