/*  Preferences - NEWS
        
    Copyright 2009 Palm, Inc.  All rights reserved.
    
    Preferences - Handles preferences scene, where the user can:
        - select the interval for feed updates

    
    App Menu is disabled in this scene.
        
*/    

function PreferencesAssistant() {

}

PreferencesAssistant.prototype.setup = function() {
    
    // Setup list selector for UPDATE INTERVAL
    this.controller.setupWidget("feedCheckIntervalList",
        {
            label: "Interval",
            choices: [
                {label: "Manual Updates",   value: 0},
                {label: "5 Minutes",        value: 300000},    
                {label: "15 Minutes",       value: 900000},    
                {label: "1 Hour",           value: 3600000},    
                {label: "4 Hours",          value: 14400000},
                {label: "1 Day",            value: 86400000}
            ]    
        },
        this.feedIntervalModel = {
            value : News.feedUpdateInterval
        });
    
    this.changeFeedIntervalHandler = this.changeFeedInterval.bindAsEventListener(this);
    this.controller.listen("feedCheckIntervalList", Mojo.Event.propertyChange,
        this.changeFeedIntervalHandler);

};

// Cleanup - remove listeners
PreferencesAssistant.prototype.cleanup = function() {
    this.controller.stopListening("feedCheckIntervalList", 
        Mojo.Event.propertyChange, this.changeFeedIntervalHandler);
};

//    changeFeedInterval    - Handle changes to the feed update interva;
PreferencesAssistant.prototype.changeFeedInterval = function(event) {
    Mojo.Log.info("Preferences Feed Interval Handler; value = ",
        this.feedIntervalModel.value);
    News.feedUpdateInterval = this.feedIntervalModel.value;
};
