/*  StoryWebAssistant - NEWS
        
    Copyright 2009 Palm, Inc.  All rights reserved.
    
    Passed a story URL, displays that element in a full scene webview with
    a load indicator and reload button. Handles link selections within the 
    view. User swipes back to return to the calling view.
    
    Major components:

    
    Arguments:
    - storyURL; Selected feed from which the stories are being viewed
               
*/


function StoryWebAssistant(storyURL) {
  //  Save the passed URL for inclusion in the webView setup
  this.storyURL = storyURL;
}

StoryWebAssistant.prototype.setup = function() {
	
    //  Setup up the webView widget
	this.controller.setupWidget("storyWeb", {url: this.storyURL},
		this.storyViewModel = {});
		
	//	Setup handlers for any links selected.
	this.linkClickedHandler = this.linkClicked.bindAsEventListener(this);
	this.controller.listen("storyWeb", Mojo.Event.webViewLinkClicked,
	  this.linkClickedHandler);

    // Setup App Menu
    this.controller.setupWidget(Mojo.Menu.appMenu, News.MenuAttr, News.MenuModel);

};

StoryWebAssistant.prototype.cleanup = function(event) {
    this.controller.stopListening("storyWeb", Mojo.Event.webViewLinkClicked, 
      this.linkClickedHandler);
  
};

//	linkClicked - handler for selected links, requesting new links to be opened 
//    in same view
StoryWebAssistant.prototype.linkClicked = function(event) {
	Mojo.Log.info("Story Web linkClicked; event.url = ", event.url);
	var link = this.controller.get("storyWeb");
	link.mojo.openURL(event.url);
};


